Subject: Re: [Disman] Event-MIB - request for clarifications

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 6 Jun 2005 19:41:34 -0700

Hi -

I still haven't seen a response to Dave's request.  These all
strike me as legitimate issues that should be addressed in the
update.  Would someone like to take a stab at providing text
to update the i-d to answer these questions?

Randy

> From: "Dave Shield" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, February 28, 2005 10:26 AM
> Subject: [Disman] Event-MIB - request for clarifications
>
> I've recently been looking at the Event MIB, and whilst I've
> mostly got a handle on how this works, there are a few things
> that I'm not fully clear on.   I've had a look through the
> mail archives without much luck, but if these issues have been
> covered before, just point me to where they've been discussed.
>
>   The points on which I'd appreciate some clarification are
> the following:
>
>
> a) Wildcard handling
>
>   If mteTriggerValueID uses a "partial" wildcard, then
> should the wildcard handling of corresponding mteObjectsID
> and mteEventSetObject entry append the *full* instance of
> the mteTriggerValueID value that matched, or just the OID
> suffix added as part of the expansion?
>
> For example, suppose I'm monitoring an interface-related
> table that's indexed by ifName strings, and specify a
> mteTriggerValueID of 'someObject."eth"'
> (with mteTriggerValueIDWildcard set true).
>
> Then a trigger fires, matching "eth1" (i.e. adding '1')
>
> Should the corresponding mteObjectsID entries be specified
> as 'someObject2."eth"' (and add the matching '1' suffix) or
> just 'someObject2' (and add the full matching instance "eth1")
>
>
>
> b) Updating configuration settings
>
>   The objects in the mteTriggerTable are defined as
> read-create, but the description of mteTriggerEntryStatus
> states:
>      "Once made active an entry may not be modified
>       except to delete it."
>
> Does that apply to the whole of that mteTriggerEntry
> row, or just the mteTriggerEntryStatus?
> For example, is it legitimate to adjust the frequency of
> a given trigger, or does the whole row have to be deleted
> and recreated?  Similarly for (e.g.) mteTriggerComment?
>
>
>
> c)  Access control
>
> The description of mteTriggerTargetTag states that the
> mteTriggerValueID value should be retrieved using
>     "the security credentials of the requester that
>      set mteTriggerEntryStatus to 'active'"
>
> What credentials should be used if the entry wasn't
> configured via SNMP (e.g. from static configuration) ?
>
>
> The implication of this is that the mteOwner index string
> is only used for grouping related entries together (so
> that they can all be covered by a single VACM entry).
>
> But the third paragraph of section 7 talks about mapping
> this "owner index" to a securityName or groupName.  How
> does this relate to the use of the requestor's security
> credentials?
>
> This is probably the area that I found least clear?
> I await enlightenment.....
>
>
> Dave
>
>